Bug 1251542 - [GSS](6.4.z) Outbound-socket details not rendered in admin console if ports use expressions
[GSS](6.4.z) Outbound-socket details not rendered in admin console if ports u...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.4.2
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.4.4
Assigned To: Bartek Spyrko-Smietanko
Pavel Jelinek
:
Depends On:
Blocks: 1235744 1247280
  Show dependency treegraph
 
Reported: 2015-08-07 11:53 EDT by Lami Akagwu
Modified: 2017-01-17 05:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 05:47:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-788 Major Resolved Remote socket binding is not displayed if it's port uses a property expression 2016-07-30 16:28 EDT
Red Hat Knowledge Base (Solution) 1567253 None None None Never

  None (edit)
Description Lami Akagwu 2015-08-07 11:53:18 EDT
Description of problem:
No outbound socket details are visible if any of the ports uses an expression

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Change 

        <outbound-socket-binding name="mail-smtp">
            <remote-destination host="localhost" port="25"/>
        </outbound-socket-binding>

To **replacing port="25" with port="${app.smtp:25}" i.e an expression 

        <outbound-socket-binding name="mail-smtp">
            <remote-destination host="localhost" port="${app.smtp:25}"/>
        </outbound-socket-binding>

2. View the the "outbound remote" tab in http://localhost:9990/console/App.html#socket-bindings

3. The mail-smtp outbound socket is no longer is visible in the console.

4. Snippet from trace logs

------

16:2516:25:44,607 TRACE [org.jboss.as.controller.management-operation] (HttpManagementService-threads - 2) Executing "read-children-resources" [("socket-binding-group" => "standard-sockets")]
16:25:44,609 TRACE [org.jboss.as.controller.management-operation] (HttpManagementService-threads - 3) Executing "read-children-resources" [("socket-binding-group" => "standard-sockets")]
:44,617 TRACE [org.jboss.as.controller.management-operation] (HttpManagementService-threads - 3) Prepared response is {
    "outcome" => undefined,
    "result" => {"mail-smtp" => {
        "fixed-source-port" => false,
        "host" => "localhost",
        "port" => expression "${app.smtp:25}",
        "source-interface" => undefined,
        "source-port" => undefined
    }}
}
------

Actual results:
No outbound socket config is visible if *any* of them uses an expression for its ports 


Expected results:
Outbound socket config should be visible via the admin console if any of the attributes use expressions  

Additional info:

You can test adding one outbound socket which uses no expressions and then another one which uses an expression for its ports. Same results i.e nothing rendered in the admin console.
Comment 1 Bartek Spyrko-Smietanko 2015-08-11 09:27:22 EDT
Upstream issue: https://issues.jboss.org/browse/HAL-788
Comment 3 Bartek Spyrko-Smietanko 2015-08-17 06:27:30 EDT
PR for 2.5.x: https://github.com/hal/core/pull/56
Comment 4 JBoss JIRA Server 2015-08-18 04:40:15 EDT
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-788 to Resolved
Comment 5 Harald Pehl 2015-08-18 04:41:06 EDT
Merged PR into 2.5.x: https://github.com/hal/core/pull/56
Comment 7 Pavel Jelinek 2015-09-23 03:08:46 EDT
Verified for EAP 6.4.4.CP.CR3.
Comment 8 Petr Penicka 2017-01-17 05:47:57 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.